Bug 165057 - packaging problem with osad/osa-dispatcher
packaging problem with osad/osa-dispatcher
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Wregglesworth
Max Spevack
:
Depends On:
Blocks: 168311 205762
  Show dependency treegraph
 
Reported: 2005-08-03 18:09 EDT by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhn401
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-12 20:48:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2005-08-03 18:09:33 EDT
This is based on
osa-dispatcher-0.6-51.rhel4
osad-0.6-51.rhel4

osa-dispatcher contains /etc/init.d/osad. If you have osa-dispatcher installed,
but not osad, running 'service osad start' does nothing. The init file should
probably be removed from osa-dispatcher
Comment 1 John Wregglesworth 2005-08-24 11:45:35 EDT
Fixed in CVS

I removed /etc/init.d/osad from osa-dispatcher's file section in osad.spec.

Test Plan:
1. Install a satellite with and make sure that osa-dispatcher doesn't install
the /etc/init.d/osad file. 'rpm -ql osa-dispatcher' will list the files that
osa-dispatcher provides and /etc/init.d/osad shouldn't be in the list.

I'm currently having issues with the build system, so I'll update the bug with
version info as soon as I get it.
Comment 2 Beth Nackashi 2005-10-03 16:01:11 EDT
latest iso (-133) still shows /etc/init.d/osad was installed by osa-dispatcher:

[root@rlx-3-14 root]# rpm -qa|grep osa
osa-dispatcher-0.6-56.rhel3
[root@rlx-3-14 root]# cd /etc/init.d
[root@rlx-3-14 init.d]# ls
aep1000    diskdump    iscsi          MonitoringScout  osa-dispatcher  sendmail
   tomcat5
apmd       functions   isdn           named            pcmcia          single  
   tsdb_local_queue
atd        gpm         jabberd        netdump          portmap         smartd  
   tux
audit      halt        kdcrotate      netfs            psacct          smb     
   winbind
autofs     hpoj        killall        network          random          snmpd   
   xfs
bcm5820    httpd       kudzu          nfs              rawdevices      snmptrapd
  xinetd
crond      ip6tables   mdmonitor      nfslock          rhn-database    squid   
   ypbind
cups       iptables    mdmpd          nscd             rhn-satellite   sshd
dc_client  irda        microcode_ctl  ntpd             rhnsd           syslog
dc_server  irqbalance  Monitoring     osad             saslauthd       taskomatic
[root@rlx-3-14 init.d]# service osad start
[root@rlx-3-14 init.d]# rpm -ql osa-dispatcher
/etc/init.d/osa-dispatcher
/etc/init.d/osad
/etc/logrotate.d/osa-dispatcher
/etc/rhn/default/rhn_osa-dispatcher.conf
/usr/sbin/osa-dispatcher
/usr/share/rhn/osad
/usr/share/rhn/osad/__init__.py
/usr/share/rhn/osad/__init__.pyc
/usr/share/rhn/osad/dispatcher_client.py
/usr/share/rhn/osad/dispatcher_client.pyc
/usr/share/rhn/osad/jabber_lib.py
/usr/share/rhn/osad/jabber_lib.pyc
/usr/share/rhn/osad/osa_dispatcher.py
/usr/share/rhn/osad/osa_dispatcher.pyc
/usr/share/rhn/osad/rhn_log.py
/usr/share/rhn/osad/rhn_log.pyc
[root@rlx-3-14 init.d]# rpm -q rhns
rhns-4.0.3-2.rhel3
Comment 3 John Wregglesworth 2005-10-03 17:15:32 EDT
I rebuilt osad/osa-dispatcher and osa-dispatcher shouldn't have /etc/init.d/osad
in it anymore. These are the rpms that are on vault that don't have
/etc/init.d/osad in them:
   * osa-dispatcher-0.6-66.rhel2.1.noarch.rpm
   * osa-dispatcher-0.6-67.rhel3.noarch.rpm
   * osa-dispatcher-0.6-68.rhel4.noarch.rpm
Comment 4 Max Spevack 2005-10-04 21:40:28 EDT
mass move to ON_QA after qa push
Comment 5 Max Spevack 2005-10-04 21:47:14 EDT
verified on -67 and -68 osa-dispatcher packages.

As there is no rhn401 satellite for rhel-2.1, the 2.1 testcase is un-necessary

PASSES_QA

Comment 6 Max Spevack 2005-10-07 14:56:37 EDT
verified in stage.  RELEASE_PENDING

Note You need to log in before you can comment on or make changes to this bug.